# Class AnimateRunner

- Defined in animations/animate-runner.js:53

#####
Index

### Constructors

constructor

### Properties

_doneCallbacks
_state
_tick
host
promise

### Methods

_resolve
cancel
catch
complete
done
end
finally
getPromise
pause
progress
resume
setHost
then
all
chain

##
Constructors

### constructor

- new AnimateRunner(host): AnimateRunner

- #### Parameters

  - host: any

  #### Returns AnimateRunner

  - Defined in animations/animate-runner.js:92

##
Properties

### _doneCallbacks

_doneCallbacks: any[]

- Defined in animations/animate-runner.js:100

### _state

_state: number

- Defined in animations/animate-runner.js:108
- Defined in animations/animate-runner.js:181
- Defined in animations/animate-runner.js:194

### _tick

_tick: ((fn: any) => void)

- Defined in animations/animate-runner.js:101

### host

host: any

- Defined in animations/animate-runner.js:112

### promise

promise: any

- Defined in animations/animate-runner.js:128

##
Methods

### _resolve

- _resolve(response): void

- #### Parameters

  - response: any

  #### Returns void

  - Defined in animations/animate-runner.js:188

### cancel

- cancel(): void

- #### Returns void

  - Defined in animations/animate-runner.js:172

### catch

- catch(handler): any

- #### Parameters

  - handler: any

  #### Returns any

  - Defined in animations/animate-runner.js:145

### complete

- complete(response): void

- #### Parameters

  - response: any

  #### Returns void

  - Defined in animations/animate-runner.js:179

### done

- done(fn): void

- #### Parameters

  - fn: any

  #### Returns void

  - Defined in animations/animate-runner.js:115

### end

- end(): void

- #### Returns void

  - Defined in animations/animate-runner.js:165

### finally

- finally(handler): any

- #### Parameters

  - handler: any

  #### Returns any

  - Defined in animations/animate-runner.js:149

### getPromise

- getPromise(): any

- #### Returns any

  - Defined in animations/animate-runner.js:125

### pause

- pause(): void

- #### Returns void

  - Defined in animations/animate-runner.js:153

### progress

- progress(): void

- #### Returns void

  - Defined in animations/animate-runner.js:123

### resume

- resume(): void

- #### Returns void

  - Defined in animations/animate-runner.js:159

### setHost

- setHost(host): void

- #### Parameters

  - host: any

  #### Returns void

  - Defined in animations/animate-runner.js:111

### then

- then(resolveHandler, rejectHandler): any

- #### Parameters

  - resolveHandler: any
  - rejectHandler: any

  #### Returns any

  - Defined in animations/animate-runner.js:141

### `Static` all

- all(runners, callback): void

- #### Parameters

  - runners: any
  - callback: any

  #### Returns void

  - Defined in animations/animate-runner.js:76

### `Static` chain

- chain(chain, callback): void

- #### Parameters

  - chain: any
  - callback: any

  #### Returns void

  - Defined in animations/animate-runner.js:54